java.lang.UnsupportedClassVersionError

controllers/routes : Unsupported major.minor version 52.0]]

Samebug tips4

Update "latest" to Java 8 on DockerHub.

This might be caused by and outdated version of Java, SonarQube now uses Java 8 as default. You might upgrade java or use an older version of SonarQube.

Don't give up yet. Our experts can help. Paste your full stack trace to get a solution.

Solutions on the web4814

  • via Stack Overflow by Unknown author, 1 year ago
    controllers/routes$ref : Unsupported major.minor version 52.0
  • via GitHub by davidmoten
    , 9 months ago
    controllers/routes : Unsupported major.minor version 52.0]]
  • via GitHub by nemanjan00
    , 1 year ago
    controllers/routes : Unsupported major.minor version 52.0
  • Stack trace

    • java.lang.UnsupportedClassVersionError: controllers/routes : Unsupported major.minor version 52.0]] at play.api.Application$class.handleError(Application.scala:293)[play_2.10.jar:2.2.1] at play.api.DefaultApplication.handleError(Application.scala:399)[play_2.10.jar:2.2.1] at play.core.server.netty.PlayDefaultUpstreamHandler$$anonfun$12$$anonfun$apply$1.applyOrElse(PlayDefaultUpstreamHandler.scala:165)[play_2.10.jar:2.2.1] at play.core.server.netty.PlayDefaultUpstreamHandler$$anonfun$12$$anonfun$apply$1.applyOrElse(PlayDefaultUpstreamHandler.scala:162)[play_2.10.jar:2.2.1] at scala.runtime.AbstractPartialFunction.apply(AbstractPartialFunction.scala:33)[scala-library.jar:na] at scala.util.Failure$$anonfun$recover$1.apply(Try.scala:185)[scala-library.jar:na] Caused by: java.lang.RuntimeException: java.lang.UnsupportedClassVersionError: controllers/routes : Unsupported major.minor version 52.0 at play.api.mvc.ActionBuilder$$anon$1.apply(Action.scala:314)[play_2.10.jar:2.2.1] at play.api.mvc.Action$$anonfun$apply$1$$anonfun$apply$4$$anonfun$apply$5.apply(Action.scala:109)[play_2.10.jar:2.2.1] at play.api.mvc.Action$$anonfun$apply$1$$anonfun$apply$4$$anonfun$apply$5.apply(Action.scala:109)[play_2.10.jar:2.2.1] at play.utils.Threads$.withContextClassLoader(Threads.scala:18)[play_2.10.jar:2.2.1] at play.api.mvc.Action$$anonfun$apply$1$$anonfun$apply$4.apply(Action.scala:108)[play_2.10.jar:2.2.1] at play.api.mvc.Action$$anonfun$apply$1$$anonfun$apply$4.apply(Action.scala:107)[play_2.10.jar:2.2.1] Caused by: java.lang.UnsupportedClassVersionError: controllers/routes : Unsupported major.minor version 52.0 at java.lang.ClassLoader.defineClass1(Native Method)[na:1.7.0_55] at java.lang.ClassLoader.defineClass(ClassLoader.java:800)[na:1.7.0_55] at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)[na:1.7.0_55] at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)[na:1.7.0_55] at java.net.URLClassLoader.access$100(URLClassLoader.java:71)[na:1.7.0_55] at java.net.URLClassLoader$1.run(URLClassLoader.java:361)[na:1.7.0_55]

    Write tip

    You have a different solution? A short tip here would help you and many other users who saw this issue last week.

    Users with the same issue

    8 times, 1 day ago
    Once, 1 week ago
    Unknown user
    Once, 1 month ago
    Once, 1 month ago
    Unknown user
    Once, 3 months ago
    197 more bugmates